# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "mallorca"
version = "0.0.6"
authors = ["Sharang <sharang@meghsakha.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Container + Wasm orchestrator with AI ops — fills the gap between Coolify and Kubernetes"
readme = false
license = "AGPL-3.0"
repository = "https://github.com/mighty840/orca"
resolver = "2"

[[bin]]
name = "orca"
path = "src/main.rs"

[[test]]
name = "main"
path = "tests/main.rs"

[dependencies.anyhow]
version = "1"

[dependencies.bollard]
version = "0.18"

[dependencies.clap]
version = "4"
features = ["derive"]

[dependencies.dirs-next]
version = "2"

[dependencies.hostname]
version = "0.4"

[dependencies.orca-agent]
version = "0.0.6"

[dependencies.orca-ai]
version = "0.0.6"

[dependencies.orca-control]
version = "0.0.6"

[dependencies.orca-core]
version = "0.0.6"

[dependencies.orca-proxy]
version = "0.0.6"

[dependencies.orca-tui]
version = "0.0.6"

[dependencies.reqwest]
version = "0.12"
features = ["json"]

[dependencies.serde]
version = "1"
features = ["derive"]

[dependencies.serde_json]
version = "1"

[dependencies.tokio]
version = "1"
features = ["full"]

[dependencies.tracing]
version = "0.1"

[dependencies.tracing-subscriber]
version = "0.3"
features = [
    "env-filter",
    "json",
]
